%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   ldap
%define modv   0.43
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       LDAP support for Perl
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/G/GB/GBARR/%{name}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Graham Barr <gbarr@pobox.com>
Provides:      perl(LWP::Protocol::ldaps) = 1.11
Provides:      perl(Net::LDAPI) = 0.03
Provides:      perl(Net::LDAPS) = 0.05
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      perl(Encode)
Requires:      perl(IO::Socket::INET6)
Requires:      perl(IO::Socket::SSL) >= 0.93
Requires:      perl(IO::Socket::UNIX)
Requires:      perl(MIME::Base64)
Requires:      perl(Symbol)
Requires:      perl(XML::SAX::Writer)
BuildRequires: perl >= 5.8
BuildRequires: perl(Authen::SASL) >= 2.00
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Convert::ASN1) >= 0.07
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Socket::SSL) >= 1.26
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(URI::ldap) >= 1.10
BuildRequires: perl(XML::SAX::Base)
BuildRequires: perl(XML::SAX::Writer)
BuildArch:     noarch


%description
Net::LDAP is a collection of modules that implements a LDAP (Lightweight
Directory Access Protocol) services API for Perl programs. The modules
may be used to search directories or perform maintenance functions such
as adding, deleting or modifying entries.


%prep
%setup -q


%build
%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	--skip

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CREDITS Changes INSTALL README TODO
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/LWP
%{perl_vendorlib}/Net
%{_mandir}/man3/*.3*


%changelog
* Thu Oct 13 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.43-1
- New version (0.43)

* Sat Dec 04 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.40-1
- New version (0.40)

* Tue Feb 24 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.39-1
- Initial build
